<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="32dp"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:gravity="center_vertical"
    android:orientation="horizontal">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="32dp"
        android:layout_weight="1"
        android:background="@drawable/rounded_rectangle_search">

        <ImageView
            android:id="@+id/search_imageView"
            android:layout_width="15dp"
            android:layout_height="15dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="7dp"
            android:layout_marginRight="4dp"
            android:src="@mipmap/temp_ic_search" />

        <kr.co.hanwha.hifive.view.FontEditText
            android:id="@+id/editText"
            style="@style/font_notosans_r_13sp_000000"
            android:layout_width="match_parent"
            android:layout_height="32dp"
            android:layout_toRightOf="@id/search_imageView"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="@string/search_hint"
            android:imeOptions="actionSearch"
            android:inputType="text"
            android:lines="1"
            android:maxLength="30"
            android:maxLines="1"
            android:paddingLeft="6dp"
            android:paddingRight="35dp"
            android:textColorHint="#cccccc"
            android:theme="@style/EditTextTheme" />

        <ImageButton
            android:id="@+id/clear_imageButton"
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@null"
            android:padding="7dp"
            android:src="@mipmap/ic_x1"
            android:visibility="gone" />


    </RelativeLayout>
</LinearLayout>